package labss.lang.il.model.impl;

import labss.lang.il.model.Expression;
import labss.lang.il.model.ILType;
import labss.lang.il.model.ILType5;
import labss.lang.il.model.ILTypesEnum;
import labss.lang.il.visitors.ILVisitor;

/**
 * @author Riccardo Solmi
 */
public class LessThan extends BinaryExpression {
	protected LessThan(Expression exp1, Expression exp2) {
		super(exp1, exp2);
	}

	public ILType5 getType5() {
		return ILType5.LessThan;
	}
	public ILType getType() {
		return ILTypesEnum.tLessThan;
	}

	public void accept(ILVisitor visitor) {
		visitor.visit(this);
	}
}