package labss.lang.il.builders;

import labss.lang.il.model.ILType;

/**
 * @author Riccardo Solmi
 */
public interface EventBuilder {
	public void build(ILType type, boolean value);
	public void build(ILType type, int value);
	public void build(ILType type, String value);
	public void build(ILType type);

	public void startBuild(ILType type);
	public void endBuild();//ILType type
}
