package labss.lang.il.model;

import labss.lang.il.visitors.ILVisitor;

public interface ILEntity extends Cloneable {
	public Object clone();
	public ILType5 getType5();
	public ILType getType();
	public int getOrdinal();

	public int size();
	public ILEntity get(int index);
	public void set(int index, ILEntity child);
	public void add(ILEntity child);
	public void add(int index, ILEntity child);
	public ILEntity remove(int index);

	public ILEntity get(ILProperty property);
	public void set(ILProperty property, ILEntity value);

	public void accept(ILVisitor visitor);
}