package labss.lang.il.model.impl;

import labss.lang.il.model.Expression;
import labss.lang.il.model.ILType;
import labss.lang.il.model.ILType5;
import labss.lang.il.model.ILTypesEnum;
import labss.lang.il.model.Statement;
import labss.lang.il.visitors.ILVisitor;

/**
 * @author Riccardo Solmi
 */

public class While extends ConditionalStatement {
	protected While(Expression condition, Statement trueBody) {
		super(condition, trueBody);
	}

	public ILType5 getType5() {
		return ILType5.While;
	}
	public ILType getType() {
		return ILTypesEnum.tWhile;
	}

	public void accept(ILVisitor visitor) {
		visitor.visit(this);
	}
}